DECLARE structure struct1: 3 OF NUMERIC
declare structure struct2: NUMERIC(10)
DECLARE message mess1 OF struct1
declare message mess2 OF struct1
paract par1
DECLARE NUMERIC a,b,c
start par2
LET a=1
LET b=2
LET c=3
send TO mess1 from a,b,c
PRINT a,b,c
END paract
paract par2
DECLARE NUMERIC x,y,z
receive from mess1 TO x,y,z
PRINT x,y,z
END paract

